# Performance Schema session\_account\_connect\_attrs Table

## Description

The `session_account_connect_attrs` table shows connection attributes for the current session.

Applications can pass key/value connection attributes to the server when a connection is made. The [session\_connect\_attrs](/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-session_connect_attrs-table.md) and `session_account_connect_attrs` tables provide access to this information, for all sessions and the current session respectively.

The C API functions [mysql\_options()](/docs/connectors/mariadb-connector-c/api-functions/mysql_options.md) and [mysql\_optionsv()](/docs/connectors/mariadb-connector-c/api-functions/mysql_optionsv.md) are used for passing connection attributes to the server.

`session_account_connect_attrs` contains the following columns:

| Column            | Description                                                      |
| ----------------- | ---------------------------------------------------------------- |
| PROCESSLIST\_ID   | Session connection identifier.                                   |
| ATTR\_NAME        | Attribute name.                                                  |
| ATTR\_VALUE       | Attribute value.                                                 |
| ORDINAL\_POSITION | Order in which attribute was added to the connection attributes. |

## Example

```sql
SELECT * FROM performance_schema.session_account_connect_attrs;
+----------------+-----------------+------------------+------------------+
| PROCESSLIST_ID | ATTR_NAME       | ATTR_VALUE       | ORDINAL_POSITION |
+----------------+-----------------+------------------+------------------+
|             45 | _os             | debian-linux-gnu |                0 |
|             45 | _client_name    | libmysql         |                1 |
|             45 | _pid            | 7711             |                2 |
|             45 | _client_version | 10.0.5           |                3 |
|             45 | _platform       | x86_64           |                4 |
|             45 | program_name    | mysql            |                5 |
+----------------+-----------------+------------------+------------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-session_account_connect_attrs-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
